# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KScanDialogFactory Class Reference

A factory for creating a KScanDialog. More...

`#include <kscan.h>`

Inheritance diagram for KScanDialogFactory:

[legend]
Collaboration diagram for KScanDialogFactory:

[legend]
List of all members.

## Public Member Functions

virtual KScanDialog * | createDialog (QWidget *parent=0, const char *name=0, bool modal=false)=0
| Your library should reimplement this method to return your KScanDialog derived dialog.

## Protected Member Functions

| KScanDialogFactory (QObject *parent=0, const char *name=0)
virtual QObject * | createObject (QObject *parent=0, const char *name=0, const char *classname="QObject", const QStringList &args=QStringList())
void | setName (const QCString &instanceName)
KInstance * | instance () const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A factory for creating a KScanDialog.

You need to reimplement createDialog().

Definition at line 163 of file kscan.h.

## Member Function Documentation

virtual KScanDialog* KScanDialogFactory::createDialog | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | modal = false
| ) | `[pure virtual]`

| Your library should reimplement this method to return your KScanDialog derived dialog.

The documentation for this class was generated from the following files:

- kscan.h
- kscan.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:22:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001